%global modulename eslint-plugin-import

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-eslint-plugin-import
Version:        2.14.0
Release:        1%{?dist}
Summary:        Import with sanity.

License:        MIT
URL:            https://github.com/benmosher/eslint-plugin-import
Source0:        https://registry.npmjs.org/eslint-plugin-import/-/eslint-plugin-import-2.14.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(contains-path) >= 0.1.0 with npmlib(contains-path) < 0.2.0))
BuildRequires:  ((npmlib(debug) >= 2.6.8 with npmlib(debug) < 3.0.0))
BuildRequires:  ((npmlib(doctrine) = 1.5.0))
BuildRequires:  ((npmlib(eslint-import-resolver-node) >= 0.3.1 with npmlib(eslint-import-resolver-node) < 0.4.0))
BuildRequires:  ((npmlib(eslint-module-utils) >= 2.2.0 with npmlib(eslint-module-utils) < 3.0.0))
BuildRequires:  ((npmlib(has) >= 1.0.1 with npmlib(has) < 2.0.0))
BuildRequires:  ((npmlib(lodash) >= 4.17.4 with npmlib(lodash) < 5.0.0))
BuildRequires:  ((npmlib(minimatch) >= 3.0.3 with npmlib(minimatch) < 4.0.0))
BuildRequires:  ((npmlib(read-pkg-up) >= 2.0.0 with npmlib(read-pkg-up) < 3.0.0))
BuildRequires:  ((npmlib(resolve) >= 1.6.0 with npmlib(resolve) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Import with sanity.

%package 2.14.0
Summary:        Import with sanity.


%description 2.14.0
Import with sanity.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr config %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr memo-parser %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.14.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.14.0-1
- Package automatically generated by npm2srpm
